import request from '@/utils/request'

// 查询快递编码列表
export function listMallShopExpressCode(query) {
  return request({
    url: '/mall/mallShopExpressCode/list',
    method: 'get',
    params: query
  })
}

// 查询快递编码详细
export function getMallShopExpressCode(id) {
  return request({
    url: '/mall/mallShopExpressCode/' + id,
    method: 'get'
  })
}

// 新增快递编码
export function addMallShopExpressCode(data) {
  return request({
    url: '/mall/mallShopExpressCode',
    method: 'post',
    data: data
  })
}

// 修改快递编码
export function updateMallShopExpressCode(data) {
  return request({
    url: '/mall/mallShopExpressCode',
    method: 'put',
    data: data
  })
}

// 删除快递编码
export function delMallShopExpressCode(id) {
  return request({
    url: '/mall/mallShopExpressCode/' + id,
    method: 'delete'
  })
}

// 导出快递编码
export function exportMallShopExpressCode(query) {
  return request({
    url: '/mall/mallShopExpressCode/export',
    method: 'get',
    params: query
  })
}